/*********************************************************************
** AreaBuilder is a program designed to build maps for MUDS like    **
** Anatolia.                                                        **
** Copyright (C) 2003 Pierre Chatelier                              **
**                                                                  **
** This program is free software; you can redistribute              **
** it and/or modify it under the terms of the GNU                   **
** General Public License as published by the                       **
** Free Software Foundation, version 2.                             **
**                                                                  **
** This program is distributed in the hope that it will be          **
** useful, but WITHOUT ANY WARRANTY; without even the implied       **
** warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. **
** See the GNU General Public License for more details.             **
**                                                                  **
** You should have received a copy of the                           **
** GNU General Public License along with this program; if not,      **
** write to the Free Software Foundation,                           **
** Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA      **
*********************************************************************/
package areabuilder;

public class MobileLevelValues
{
  int hitBonus;

  int xHitPoints=0;
  int yHitPoints=0;
  int zHitPoints=0;

  int xManPoints=0;
  int yManPoints=0;
  int zManPoints=0;

  int xDamPoints=0;
  int yDamPoints=0;
  int zDamPoints=0;

  int pierceAC=0;
  int bashAC=0;
  int slashAC=0;
  int magicAC=0;

  public MobileLevelValues(int hitBonus,
                           int xHitPoints, int yHitPoints, int zHitPoints,
                           int xManPoints, int yManPoints, int zManPoints,
                           int xDamPoints, int yDamPoints, int zDamPoints,
                           int pierceAC, int bashAC, int slashAC, int magicAC
                           )
  {
     this.hitBonus = hitBonus;
     this.xHitPoints = xHitPoints;
     this.yHitPoints = yHitPoints;
     this.zHitPoints = zHitPoints;
     this.xManPoints = xManPoints;
     this.yManPoints = yManPoints;
     this.zManPoints = zManPoints;
     this.xDamPoints = xDamPoints;
     this.yDamPoints = yDamPoints;
     this.zDamPoints = zDamPoints;
     this.pierceAC = pierceAC;
     this.bashAC   = bashAC;
     this.slashAC  = slashAC;
     this.magicAC  = magicAC;
  }

  public int getHitBonus()   {return hitBonus;}
  public int getXHitPoints() {return xHitPoints;}
  public int getYHitPoints() {return yHitPoints;}
  public int getZHitPoints() {return zHitPoints;}
  public int getXManPoints() {return xManPoints;}
  public int getYManPoints() {return yManPoints;}
  public int getZManPoints() {return zManPoints;}
  public int getXDamPoints() {return xDamPoints;}
  public int getYDamPoints() {return yDamPoints;}
  public int getZDamPoints() {return zDamPoints;}
  public int getPierceAC() {return pierceAC;}
  public int getBashAC()   {return bashAC;}
  public int getSlashAC()  {return slashAC;}
  public int getMagicAC()  {return magicAC;}
}